text-based remote-control of vdemo gui needs improvement
10/05/2017 03:39 AM - L. Schillingmann

Status: Resolved Start date: 10/05/2017
Priority: Normal Due date:
Assignee: L. Schillingmann % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

The vdemo with the --fifo option uses a fifo and a text file for the responses.

vdemo responds to commands and write the result to the text file.
However, this interface does not ensure that a given response originated from the calling script.

The socket command provides a way to avoid these issues.

History
#1 - 10/05/2017 09:11 AM - R. Haschke
- Assignee set to L. Schillingmann

It would be great, if you could propose a pull request.

#2 - 10/23/2017 02:08 AM - L. Schillingmann
- Status changed from New to Resolved
- % Done changed from 0 to 100

    -  vdemo can now be run from python3's tkinter context. I integrated text based remote control based on pythons HTTPServer.
    -  Further work such as html / authentication / https features are now easy to implement.
    -  The python3 integration is still optional at the moment.
    -  In the long run it will be possible to move the tcl codebase slowly to python.
